const CACHE_NAME = 'mek-tech-v1';
const urlsToCache = ['/', '/css/style.css', '/css/dynamic.css', '/img/logo.svg'];

self.addEventListener('install', event => {
  event.waitUntil(
    caches.open(CACHE_NAME)
      .then(cache => cache.addAll(urlsToCache))
  );
});

self.addEventListener('fetch', event => {
  event.respondWith(
    caches.match(event.request)
      .then(response => response || fetch(event.request))
  );
});
